Bug 1874301 - [must-gather] include detailed summary of host interfaces
Summary: [must-gather] include detailed summary of host interfaces
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 01:19 UTC by Sam Batschelet
Modified: 2020-09-09 08:55 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift must-gather pull 172 None closed Bug 1874301: collection-scripts/gather_network_logs: add detailed status for interfaces 2020-09-07 01:23:47 UTC

Description Sam Batschelet 2020-09-01 01:19:11 UTC
Description of problem: useful data in 3.x sosreport was the detailed status output of `ip` (ip -s -d link) command. This is good for understanding things like dropped packets.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. run must-gather
2.
3.

Actual results: no detailed status exists


Expected results: similar output to sosreport including `ip -s -d link`


Additional info:

Comment 3 zhaozhanqi 2020-09-09 08:55:55 UTC
Verified this bug on 4.6.0-0.nightly-2020-09-08-123737

 cat wsun09091-cchlh-master-2_ovnkube-node-7x755_ip_-s_-d_link
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00 promiscuity 0 addrgenmode eui64 numtxqueues 1 numrxqueues 1 gso_max_size 65536 gso_max_segs 65535 
    RX: bytes  packets  errors  dropped overrun mcast   
    9588307317 9453042  0       0       0       0       
    TX: bytes  packets  errors  dropped carrier collsns 
    9588307317 9453042  0       0       0       0       
2: ens3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1450 qdisc fq_codel master ovs-system state UP mode DEFAULT group default qlen 1000
    link/ether fa:16:3e:9e:c6:ee brd ff:ff:ff:ff:ff:ff promiscuity 1 
    openvswitch_slave addrgenmode none numtxqueues 1 numrxqueues 1 gso_max_size 65536 gso_max_segs 65535 
    RX: bytes  packets  errors  dropped overrun mcast   
    11285832739 15634586 0       0       0       0


Note You need to log in before you can comment on or make changes to this bug.